<html>
<head>
<title>Ogre::CompositorInstance::TargetOperation Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html">TargetOperation</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::CompositorInstance::TargetOperation Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::CompositorInstance::TargetOperation" -->
<p>Operation setup for a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> (collected).  
 <a href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreCompositorInstance_8h_source.html">OgreCompositorInstance.h</a>&gt;</code></p>

<p><a href="classOgre_1_1CompositorInstance_1_1TargetOperation-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef std::bitset<br class="typebreak"/>
&lt; <a class="el" href="group__Effects.html#ga56cbccda3a83b1e035e5be74fb17406e">RENDER_QUEUE_COUNT</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#a7026db7788bde13a6b6466a967733b64">RenderQueueBitSet</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A set of render queues to either include or exclude certain render queues.  <a href="#a7026db7788bde13a6b6466a967733b64"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#ae830521a3572e0c30c145e9e74c779de">TargetOperation</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#a4a07f4c5f9abe2a6f760f612434db34f">TargetOperation</a> (<a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *inTarget)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#af5c5f5aab22a31e194c2bba815d01b49">target</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Target.  <a href="#af5c5f5aab22a31e194c2bba815d01b49"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#af87bc9636c803efa26fbcc4f5a4fa063">currentQueueGroupID</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Current group ID.  <a href="#af87bc9636c803efa26fbcc4f5a4fa063"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositorInstance.html#ad76c35638d871dd4db8636ab91d1df94">RenderSystemOpPairs</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#a91205dfe635e89525f6080c93a913522">renderSystemOperations</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> operations to queue into the scene manager, by uint8.  <a href="#a91205dfe635e89525f6080c93a913522"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#aa068061eb691af0d3b0ff440004221a8">visibilityMask</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Scene visibility mask If this is 0, the scene is not rendered at all.  <a href="#aa068061eb691af0d3b0ff440004221a8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#a8ba9a8940b2e81cb3e866cce28697a4f">lodBias</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">LOD offset.  <a href="#a8ba9a8940b2e81cb3e866cce28697a4f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#a7026db7788bde13a6b6466a967733b64">RenderQueueBitSet</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#a4d359b9d7ce499be7c9e72e62a0a5787">renderQueues</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Which renderqueues to render from scene.  <a href="#a4d359b9d7ce499be7c9e72e62a0a5787"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#a56bb029bcccd70874ba6474e66393fdd">onlyInitial</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#a29e5d3e3b946b36d3b253d78e3a66b89">hasBeenRendered</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">"Has been rendered" flag; used in combination with onlyInitial to determine whether to skip this target operation.  <a href="#a29e5d3e3b946b36d3b253d78e3a66b89"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#a09330d104546144ccb1ff53510fb826a">findVisibleObjects</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether this op needs to find visible scene objects or not.  <a href="#a09330d104546144ccb1ff53510fb826a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#ac5258ce0ba7b24c2854ec37543daa59f">materialScheme</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Which material scheme this op will use.  <a href="#ac5258ce0ba7b24c2854ec37543daa59f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#ac130ef8cace8c4af74ba60f37deb25fe">shadowsEnabled</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether shadows will be enabled.  <a href="#ac130ef8cace8c4af74ba60f37deb25fe"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Operation setup for a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> (collected). </p>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h_source.html#l00105">105</a> of file <a class="el" href="OgreCompositorInstance_8h_source.html">OgreCompositorInstance.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a7026db7788bde13a6b6466a967733b64"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::RenderQueueBitSet" ref="a7026db7788bde13a6b6466a967733b64" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::bitset&lt;<a class="el" href="group__Effects.html#ga56cbccda3a83b1e035e5be74fb17406e">RENDER_QUEUE_COUNT</a>&gt; <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#a7026db7788bde13a6b6466a967733b64">Ogre::CompositorInstance::TargetOperation::RenderQueueBitSet</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>A set of render queues to either include or exclude certain render queues. </p>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h_source.html#l00138">138</a> of file <a class="el" href="OgreCompositorInstance_8h_source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ae830521a3572e0c30c145e9e74c779de"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::TargetOperation" ref="ae830521a3572e0c30c145e9e74c779de" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#ae830521a3572e0c30c145e9e74c779de">Ogre::CompositorInstance::TargetOperation::TargetOperation</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h_source.html#l00108">108</a> of file <a class="el" href="OgreCompositorInstance_8h_source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4a07f4c5f9abe2a6f760f612434db34f"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::TargetOperation" ref="a4a07f4c5f9abe2a6f760f612434db34f" args="(RenderTarget *inTarget)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#ae830521a3572e0c30c145e9e74c779de">Ogre::CompositorInstance::TargetOperation::TargetOperation</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&#160;</td>
          <td class="paramname"><em>inTarget</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h_source.html#l00111">111</a> of file <a class="el" href="OgreCompositorInstance_8h_source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="af87bc9636c803efa26fbcc4f5a4fa063"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::currentQueueGroupID" ref="af87bc9636c803efa26fbcc4f5a4fa063" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#af87bc9636c803efa26fbcc4f5a4fa063">Ogre::CompositorInstance::TargetOperation::currentQueueGroupID</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Current group ID. </p>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h_source.html#l00122">122</a> of file <a class="el" href="OgreCompositorInstance_8h_source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div>
<a class="anchor" id="a09330d104546144ccb1ff53510fb826a"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::findVisibleObjects" ref="a09330d104546144ccb1ff53510fb826a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#a09330d104546144ccb1ff53510fb826a">Ogre::CompositorInstance::TargetOperation::findVisibleObjects</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Whether this op needs to find visible scene objects or not. </p>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h_source.html#l00152">152</a> of file <a class="el" href="OgreCompositorInstance_8h_source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div>
<a class="anchor" id="a29e5d3e3b946b36d3b253d78e3a66b89"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::hasBeenRendered" ref="a29e5d3e3b946b36d3b253d78e3a66b89" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#a29e5d3e3b946b36d3b253d78e3a66b89">Ogre::CompositorInstance::TargetOperation::hasBeenRendered</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>"Has been rendered" flag; used in combination with onlyInitial to determine whether to skip this target operation. </p>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h_source.html#l00149">149</a> of file <a class="el" href="OgreCompositorInstance_8h_source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8ba9a8940b2e81cb3e866cce28697a4f"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::lodBias" ref="a8ba9a8940b2e81cb3e866cce28697a4f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#a8ba9a8940b2e81cb3e866cce28697a4f">Ogre::CompositorInstance::TargetOperation::lodBias</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>LOD offset. </p>
<p>This is multiplied with the camera LOD offset 1.0 is default, lower means lower detail, higher means higher detail </p>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h_source.html#l00134">134</a> of file <a class="el" href="OgreCompositorInstance_8h_source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac5258ce0ba7b24c2854ec37543daa59f"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::materialScheme" ref="ac5258ce0ba7b24c2854ec37543daa59f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#ac5258ce0ba7b24c2854ec37543daa59f">Ogre::CompositorInstance::TargetOperation::materialScheme</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Which material scheme this op will use. </p>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h_source.html#l00154">154</a> of file <a class="el" href="OgreCompositorInstance_8h_source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div>
<a class="anchor" id="a56bb029bcccd70874ba6474e66393fdd"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::onlyInitial" ref="a56bb029bcccd70874ba6474e66393fdd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#a56bb029bcccd70874ba6474e66393fdd">Ogre::CompositorInstance::TargetOperation::onlyInitial</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1CompositionTargetPass.html#a7d4c5bd17e2e323f1d0d1ef267f8fd61" title="This target pass is only executed initially after the effect has been enabled.">CompositionTargetPass::mOnlyInitial</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h_source.html#l00145">145</a> of file <a class="el" href="OgreCompositorInstance_8h_source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4d359b9d7ce499be7c9e72e62a0a5787"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::renderQueues" ref="a4d359b9d7ce499be7c9e72e62a0a5787" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#a7026db7788bde13a6b6466a967733b64">RenderQueueBitSet</a> <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#a4d359b9d7ce499be7c9e72e62a0a5787">Ogre::CompositorInstance::TargetOperation::renderQueues</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Which renderqueues to render from scene. </p>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h_source.html#l00141">141</a> of file <a class="el" href="OgreCompositorInstance_8h_source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div>
<a class="anchor" id="a91205dfe635e89525f6080c93a913522"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::renderSystemOperations" ref="a91205dfe635e89525f6080c93a913522" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorInstance.html#ad76c35638d871dd4db8636ab91d1df94">RenderSystemOpPairs</a> <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#a91205dfe635e89525f6080c93a913522">Ogre::CompositorInstance::TargetOperation::renderSystemOperations</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> operations to queue into the scene manager, by uint8. </p>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h_source.html#l00126">126</a> of file <a class="el" href="OgreCompositorInstance_8h_source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac130ef8cace8c4af74ba60f37deb25fe"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::shadowsEnabled" ref="ac130ef8cace8c4af74ba60f37deb25fe" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#ac130ef8cace8c4af74ba60f37deb25fe">Ogre::CompositorInstance::TargetOperation::shadowsEnabled</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Whether shadows will be enabled. </p>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h_source.html#l00156">156</a> of file <a class="el" href="OgreCompositorInstance_8h_source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div>
<a class="anchor" id="af5c5f5aab22a31e194c2bba815d01b49"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::target" ref="af5c5f5aab22a31e194c2bba815d01b49" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a>* <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#af5c5f5aab22a31e194c2bba815d01b49">Ogre::CompositorInstance::TargetOperation::target</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Target. </p>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h_source.html#l00119">119</a> of file <a class="el" href="OgreCompositorInstance_8h_source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa068061eb691af0d3b0ff440004221a8"></a><!-- doxytag: member="Ogre::CompositorInstance::TargetOperation::visibilityMask" ref="aa068061eb691af0d3b0ff440004221a8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#aa068061eb691af0d3b0ff440004221a8">Ogre::CompositorInstance::TargetOperation::visibilityMask</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Scene visibility mask If this is 0, the scene is not rendered at all. </p>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h_source.html#l00130">130</a> of file <a class="el" href="OgreCompositorInstance_8h_source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreCompositorInstance_8h_source.html">OgreCompositorInstance.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
